@echo off
cls
echo *BACKUP* *YOUR* *DOOM.EXE* *AND* *DOOM.WAD*!!!
echo Hit *CONTROL-C* !!NOW!! if you *DID NOT* do that yet!!! 
pause
echo Super DooM Guns v1.1
echo Install
echo Unmodified, Unhacked, Original, Registered DooM 1.2
echo by Richard Cheung
echo.
echo NOTE: This doesn't work with Super DooM Guns 1.0 or earier.  You must 
echo restore doom.exe and doom.wad from backup before patching.
echo.
echo IMPORTANT: READ "SDGUNS.DOC" BEFORE PATCHING!
echo.
echo IF YOU DID NOT BACKUP DOOM.EXE AND DOOM.WAD THIS IS YOUR *LAST* CHANCE!
echo HIT CONTROL-C TO QUIT... 
pause
echo Extracting CURRENT Doom Graphics
dmgraph plssa0 -e _plssa0.gif -t GIF
dmgraph plssb0 -e _plssb0.gif -t GIF
dmgraph plsea0 -e _plsea0.gif -t GIF
dmgraph plseb0 -e _plseb0.gif -t GIF
dmgraph plsec0 -e _plsec0.gif -t GIF
dmgraph plsed0 -e _plsed0.gif -t GIF
dmgraph plsee0 -e _plsee0.gif -t GIF
dmgraph mislb0 -e _mislb0.gif -t GIF
dmgraph mislc0 -e _mislc0.gif -t GIF
dmgraph misld0 -e _misld0.gif -t GIF
dmgraph shtgd0 -e _shtgd0.gif -t GIF
echo Storing NEW Doom Graphics
dmgraph plssa0 -s plssa0.gif -i 7,9 -t GIF
dmgraph plssb0 -s plssb0.gif -i 7,9 -t GIF
dmgraph plsea0 -s plsea0.gif -i 12,11 -t GIF
dmgraph plseb0 -s plseb0.gif -i 19,18 -t GIF
dmgraph plsec0 -s plsec0.gif -i 17,18 -t GIF
dmgraph plsed0 -s plsed0.gif -i 13,13 -t GIF
dmgraph plsee0 -s plsee0.gif -i 0,2 -t GIF
dmgraph mislb0 -s mislb0.gif -i 37,29 -t GIF
dmgraph mislc0 -s mislc0.gif -i 42,34 -t GIF
dmgraph misld0 -s misld0.gif -i 50,43 -t GIF
echo Patching DOOM.EXE
hack newguns.pat doom.exe >nul
echo Type OLDGUNS.BAT to uninstall
echo (I hope this works for you)

